/* --------------------------------------------------------------------------
 * Copyright 1992 by Forschungszentrum Informatik (FZI)
 *
 * You can use and distribute this software under the terms of the licence
 * you should have received along with this program.
 * If not or if you want additional information, write to
 * Forschungszentrum Informatik, "STONE", Haid-und-Neu-Strasse 10-14,
 * D-7500 Karlsruhe 1, Germany.
 * --------------------------------------------------------------------------
 */
#ifndef ERRCCIH
#define ERRCCIH 1

#include "err.h"

extern const err_msg err_CCI_INC_LOAD_FAILED;
extern const err_msg err_CCI_INC_LOAD_NOT_IMPL;
extern const err_msg err_CCI_INVALID_MAKE;
extern const err_msg err_CCI_INVALID_METHOD;
extern const err_msg err_CCI_LINK_FAILED;
extern const err_msg err_CCI_LOAD_FAILED;
extern const err_msg err_CCI_MKEXEC_FAILED;
extern const err_msg err_CCI_MOVE_FAILED;
extern const err_msg err_CCI_NOT_INITIALIZED;
extern const err_msg err_CCI_OPEN_FAILED;
extern const err_msg err_CCI_READ_FAILED;
extern const err_msg err_CCI_READ_HEADER_FAILED;
extern const err_msg err_CCI_SEEK_FAILED;
extern const err_msg err_CCI_UNKNOWN_SCHEMA;
extern const err_msg err_CCI_WRITE_FAILED;
extern const err_msg err_CCI_WRONG_INIT;

extern const err_msg err_SIL_NO_SCHEMA;
extern const err_msg err_SIL_USAGE;

#endif
